Agent Governance Protocol
API ReferenceDecision APIEvidence

Create evidence bundle

POST
/agp/evidence-bundles

Authorization

AuthorizationBearer <token>

In: header

Scope: agp.decision.read, agp.decision.write

Header Parameters

Idempotency-Key?string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agp/evidence-bundles" \  -H "Content-Type: application/json" \  -d '{    "type": "EvidenceBundle",    "bundle_id": "string",    "task_id": "string",    "claims": [      {        "claim_id": "string",        "claim_text": "string",        "source_refs": [          "string"        ],        "verification_status": "unverified",        "corroboration_level": 0,        "fresh_until": "2019-08-24T14:15:22Z"      }    ],    "created_at": "2019-08-24T14:15:22Z"  }'
{  "type": "EvidenceBundle",  "bundle_id": "string",  "task_id": "string",  "claims": [    {      "claim_id": "string",      "claim_text": "string",      "source_refs": [        "string"      ],      "verification_status": "unverified",      "corroboration_level": 0,      "fresh_until": "2019-08-24T14:15:22Z"    }  ],  "created_at": "2019-08-24T14:15:22Z",  "signature": {    "alg": "string",    "kid": "string",    "issuer": "string",    "issued_at": "2019-08-24T14:15:22Z",    "payload_hash": "string",    "value": "string"  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}
{  "error": {    "code": "AGP_INVALID_REQUEST",    "message": "string",    "retryable": true,    "details": {}  }}